Loading...
Searching...
No Matches
netcdf_par.h File Reference

Main header file for the Parallel C API. More...

`#include <mpi.h>`
Include dependency graph for netcdf_par.h:

Go to the source code of this file.

## Macros

#define | NC_COLLECTIVE 1
| Use with nc_var_par_access() to set parallel access to collective.
#define | NC_INDEPENDENT 0
| Use with nc_var_par_access() to set parallel access to independent.

## Functions

EXTERNL int | nc_create_par (const char *path, int cmode, MPI_Comm comm, MPI_Info info, int *ncidp)
| Create a netCDF file for parallel I/O.
EXTERNL int | nc_create_par_fortran (const char *path, int cmode, int comm, int info, int *ncidp)
| Create a netCDF file for parallel access from the Fortran API.
EXTERNL int | nc_open_par (const char *path, int mode, MPI_Comm comm, MPI_Info info, int *ncidp)
| Open an existing netCDF file for parallel I/O.
EXTERNL int | nc_open_par_fortran (const char *path, int mode, int comm, int info, int *ncidp)
| This is the same as nc_open_par(), but accepts the MPI comm/info as integers.
EXTERNL int | nc_var_par_access (int ncid, int varid, int par_access)
| This function will change the parallel access of a variable from independent to collective and vice versa.

## Detailed Description

Main header file for the Parallel C API.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

This header file is for the parallel I/O functions of netCDF.

Author
  Ed Hartnett

Definition in file netcdf_par.h.

## Macro Definition Documentation

## NC_COLLECTIVE

#define NC_COLLECTIVE 1

Use with nc_var_par_access() to set parallel access to collective.

Definition at line 28 of file netcdf_par.h.

## NC_INDEPENDENT

#define NC_INDEPENDENT 0

Use with nc_var_par_access() to set parallel access to independent.

Definition at line 26 of file netcdf_par.h.